## org.eclipse.datatools.modelbase.sql.tables
Interface SQLTablesFactory

All Known Implementing Classes:
  SQLTablesFactoryImpl

    public interface SQLTablesFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SQLTablesPackage`

Field Summary
`static SQLTablesFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`Column` `createColumn()` Returns a new object of class 'Column'.
`PersistentTable` `createPersistentTable()` Returns a new object of class 'Persistent Table'.
`TemporaryTable` `createTemporaryTable()` Returns a new object of class 'Temporary Table'.
`Trigger` `createTrigger()` Returns a new object of class 'Trigger'.
`ViewTable` `createViewTable()` Returns a new object of class 'View Table'.
`SQLTablesPackage` `getSQLTablesPackage()` Returns the package supported by this factory.

Field Detail

### eINSTANCE

    static final SQLTablesFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createViewTable

    ViewTable createViewTable()

  Returns a new object of class 'View Table'.

  Returns:
    a new object of class 'View Table'.

### createTemporaryTable

    TemporaryTable createTemporaryTable()

  Returns a new object of class 'Temporary Table'.

  Returns:
    a new object of class 'Temporary Table'.

### createPersistentTable

    PersistentTable createPersistentTable()

  Returns a new object of class 'Persistent Table'.

  Returns:
    a new object of class 'Persistent Table'.

### createColumn

    Column createColumn()

  Returns a new object of class 'Column'.

  Returns:
    a new object of class 'Column'.

### createTrigger

    Trigger createTrigger()

  Returns a new object of class 'Trigger'.

  Returns:
    a new object of class 'Trigger'.

### getSQLTablesPackage

    SQLTablesPackage getSQLTablesPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.